This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 394681 - pulse audio wakes up the cpu regularly for no good reason
pulse audio wakes up the cpu regularly for no good reason
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: wakeup 418441
  Show dependency treegraph
 
Reported: 2007-11-21 13:06 EST by Arjan van de Ven
Modified: 2009-01-09 00:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:18:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2007-11-21 13:06:42 EST
Description of problem:


Pulseaudio wakes the cpu up typically about once per second (even if there's 
no sound hardware) to do 2 things
1) garbage collect unused plugins
2) garbage collect the scache
(each have 2 second timeouts, but they're independent timeouts so total is 
average of once per second)

garbage collection of unused plugins easily can be done
1) once per 10 minutes
2) have the timer started only when a plugin becomes unused

for the scache I don't know if that's safe to do like every 10 minutes, but 
surely the timer can be started only when there's something in the scache that 
becomes unused??
Comment 1 Bug Zapper 2008-11-26 03:38:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 William Lovaton 2008-11-26 09:17:10 EST
I have been following powertop closely in Rawhide and this seems to be solved, so I think it's ok to close this bug report.
Comment 3 Bug Zapper 2009-01-09 00:18:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.